// f8254Dlg.h : header file
//

#if !defined(AFX_F8254DLG_H__22C609C3_04FD_4081_8CFF_F9F43E18BE0B__INCLUDED_)
#define AFX_F8254DLG_H__22C609C3_04FD_4081_8CFF_F9F43E18BE0B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CF8254Dlg dialog

class CF8254Dlg : public CDialog
{
// Construction
public:
	unsigned EventCountTest(unsigned Base, int Feature);
	double FreqOutTest(unsigned Base, unsigned long Frequency);
	unsigned long ReadCounter2(unsigned Base);
	unsigned long ReadCounter1(unsigned Base);
	unsigned ReadCounter0(unsigned Base);
	void InitCounter(unsigned Base);
	unsigned ReadStatus(unsigned Base);
	unsigned CtrRead(unsigned Base, unsigned  c);
	void CtrLoad(unsigned Base, unsigned c, unsigned short val);
	void CtrMode(unsigned Base, unsigned cntr, unsigned mode);
	unsigned BaseAddress;
	CF8254Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CF8254Dlg)
	enum { IDD = IDD_F8254_DIALOG };
	CEdit	m_FreqOutEditCtrl;
	CEdit	m_EventCountEditCtrl;
	CButton	m_SinceLastButtonCtrl;
	CButton	m_SinceFirstButtonCtrl;
	CStatic	m_RealLabelCtrl;
	CEdit	m_RealEditCtrl;
	CEdit	m_PulseEditCtrl;
	CStatic	m_PulseLabelCtrl;
	CStatic	m_FreqOutLabelCtrl;
	CStatic	m_FreqInLabelCtrl;
	CButton	m_EventTestButtonCtrl;
	CStatic	m_EventCountLabelCtrl;
	CButton	m_StartButtonCtrl;
	CEdit	m_FreqInEditCtrl;
	CString	m_RealEdit;
	CString	m_Instructions;
	int		m_FeatureRadio;
	CString	m_BaseEdit;
	CString	m_EventCountEdit;
	CString	m_FreqInEdit;
	CString	m_FreqOutEdit;
	CString	m_PulseEdit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CF8254Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CF8254Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnExitButtonClick();
	afx_msg void OnStartButtonClick();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnFreqInRadioClick();
	afx_msg void OnFreqOutRadio();
	afx_msg void OnEventCountRadio();
	afx_msg void OnPulseWidthRadio();
	afx_msg void OnSinceFirstButtonClick();
	afx_msg void OnSinceLastButtonClick();
	afx_msg void OnEventTestButtonClick();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_F8254DLG_H__22C609C3_04FD_4081_8CFF_F9F43E18BE0B__INCLUDED_)
